Subject: Re: bug#338: Compilation mode: file positions incorrectly identified

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 28 Dec 2008 10:44:12 -0800 (PST)

Ulrich Neumerkel <[email-masked]> writes:

  > --text follows this line--
  > 
  > Please write in English if possible, because the Emacs maintainers
  > usually do not have translators to read other languages for them.
  > 
  > Your bug report will be posted to the [email-masked] mailing list,
  > and to the gnu.emacs.bug news group.
  > 
  > Please describe exactly what actions triggered the bug
  > and the precise symptoms of the bug:
  > 
  > emacs -Q
  > 
  > M-x compile echo % /etc/issue:1:1
  > 
  > (So in stead of doing a real make with real errors, I have just issued
  > an echo to simulate actual error messages.  See also the recent keys
  > below that contain all keys typed.)
  > 
  > The compilation buffer now contains incorrectly highlighted (red)
  > text. Not only the file name, but also the % is highlighted red.  When
  > typing C-c C-c (compile-goto-error) on that highlighted text I get the
  > prompt (not shown in *Messages* below):
  > 
  >    Find this error in (default % /etc/issue):
  > 
  > The file name "% /etc/issue" is considered in stead of /etc/issue.
  > 
  > This problem occurs when using the plunit-package in SWI-Prolog. For
  > all intents and purposes there is no way to resolve this on the side
  > of SWI by changing the actual message format - this is intimately
  > mingled to the widely used (almost standard) error-reporting mechanism
  > in Prolog.

This sounds like you need to add support to
`compilation-error-regexp-alist-alist' for this
"widely used (almost standard) error-reporting mechanism in Prolog"